image: docker:latest
services:
  - docker:dind

stages:
  - build

variables:
  CONTAINER_FIRST_IMAGE: api-hour:${CI_COMMIT_SHORT_SHA} ## Handle the versionning for kube
  CONTAINER_SECOND_IMAGE: catalog:${CI_COMMIT_SHORT_SHA} ##

build:
  stage: build
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - docker build -t ${CONTAINER_FIRST_IMAGE} Dockerfile.api-hour
    - docker build -t ${CONTAINER_SECOND_IMAGE} Dockerfile.catalog
    
  